Subject: CRAMDISK: compressed ramdisk for large bootdisks.
From: [email-masked] (Richard Lyons)
Date: Sun, 3 Apr 1994 18:18:04 GMT
Newsgroups: comp.os.linux.announce

CRAMDISK allows a user to create a bootdisk that contains nearly 4Mb of
utilities.  A filesystem is created, compressed, and written to the
floppy disk.  The patched kernel on the disk creates an appropriately
sized ramdisk during boot, and then decompresses the filesystem into the
ramdisk.  Obviously, this is only useful for those systems with enough
RAM to support a largish ramdisk.

The patch is available from:
	ftp.cdrom.com:/pub/linux/misc/cramdisk-1.0.tar.gz
	sunsite.unc.edu:/pub/Linux/Incoming/cramdisk-1.0.tar.gz

Thanks go to Pat Volkerding for placing the patch on these sites.

The documentation only covers the use of the patch - it has few details
on the process of selecting files for inclusion in the compressed file
system.  Ron Smits ([email-masked]) and Thomas Heiling
([email-masked]) have recently posted information to
col.admin on the construction of a bootdisk, which I believe will be
incorporated into the tips-HOWTO compiled by Matt Welsh.

For those who wish to create a single disk X server, I direct you to the
tiny-x package by Simon Cooper ([email-masked]) and Dirk
Hohndel ([email-masked]).  It has to be trimmed a
bit, but it works fine.

If you have any bug reports/suggestions, please let me know.

--
 _-_|\  | Rick Lyons : C/C++/X/Unix/DOS/86/DSP | "My ethicator machine must've
/     + | [email-masked]        | had a built-in moral
\_.-._/ | Work: +61.7.837.4008 (2300-0700 GMT) | compromise spectral release
     v  | Home: +61.7.349.2764 (0800-1300 GMT) | phantasmatron! I'm a genius!"